Subject: RE: dns discovery for agenda? [Re: chairs and charter]

From: [email-masked]
Date: Wed, 19 Mar 2003 19:09:13 +0200

Pekka,

> On Wed, 19 Mar 2003 [email-masked] wrote:
> > I agree that any solution needs to take these 2 issues into
> > account.  In summary, the problems seem to be:
> > 
> > 1) Ordering of solutions: which to try first and when to 
> try the 2nd.
> > 2) How to resolve conflicting information.
> > 
> > Both of these, I think are solvable, but I do agree that 
> the solution 
> > needs to propose them.
> 
> Perhaps I'm naive but "implementation-specific" would be good enough for 
> me.

Well, at least some guidence in the draft would not be a bad thing.

> Consider the case with IPv4.  You've manually configured a couple of DNS 
> servers, then run DHCPv4 to get an address and DNS servers.
> 
> Do you have to specify how to handle the case?
> 
> The latest wins.

Point taken.

> Specifying too exactly how to handle these cases may be a rathole, and not 
> essential.  If the users are not pleased with the result, they *will* just 
> disable the mechanism producing results they don't like.

This is true as well.  User preference is a good thing to enable.

John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------